# Kafka

## Fetch Kafka Access Control Lists

> Fetch Kafka Access Control Lists

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_HttpAcl":{"required":["resourceType","resourceName","principal","permissionType","host","operation","lrn"],"type":"object","properties":{"resourceType":{"type":"string"},"resourceName":{"type":"string"},"patternType":{"type":"string"},"principal":{"type":"string"},"permissionType":{"type":"string"},"host":{"type":"string"},"operation":{"type":"string"},"lrn":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/acl":{"get":{"tags":["agent_Kafka"],"summary":"Fetch Kafka Access Control Lists","description":"Fetch Kafka Access Control Lists","operationId":"listAcls","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/agent_HttpAcl"}}}}},"400":{"description":"The request input was invalid","content":{"text/plain":{"schema":{"type":"string"}}}},"401":{"description":"Authentication error","content":{"text/plain":{"schema":{"type":"string"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"text/plain":{"schema":{"type":"string"}}}},"403":{"description":"Authorisation error","content":{"text/plain":{"schema":{"type":"string"}}}},"404":{"description":"The requested resource cannot be found","content":{"text/plain":{"schema":{"type":"string"}}}},"500":{"description":"An internal server error has occurred","content":{"text/plain":{"schema":{"type":"string"}}}}}}}}}
```

## Create or update a Kafka Access Control List

> Create or update a Kafka Access Control List

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_Acl":{"required":["resourceType","resourceName","principal","permissionType","host","operation"],"type":"object","properties":{"resourceType":{"type":"string"},"resourceName":{"type":"string"},"patternType":{"type":"string"},"principal":{"type":"string"},"permissionType":{"type":"string"},"host":{"type":"string"},"operation":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/acl":{"put":{"tags":["agent_Kafka"],"summary":"Create or update a Kafka Access Control List","description":"Create or update a Kafka Access Control List","operationId":"addAcls","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Acl"}}},"required":true},"responses":{"200":{"description":""},"400":{"description":"The request input was invalid","content":{"text/plain":{"schema":{"type":"string"}}}},"401":{"description":"Authentication error","content":{"text/plain":{"schema":{"type":"string"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"text/plain":{"schema":{"type":"string"}}}},"403":{"description":"Authorisation error","content":{"text/plain":{"schema":{"type":"string"}}}},"404":{"description":"The requested resource cannot be found","content":{"text/plain":{"schema":{"type":"string"}}}},"500":{"description":"An internal server error has occurred","content":{"text/plain":{"schema":{"type":"string"}}}}}}}}}
```

## Remove a Kafka Access Control List

> Remove a Kafka Access Control List

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_HttpAcl":{"required":["resourceType","resourceName","principal","permissionType","host","operation","lrn"],"type":"object","properties":{"resourceType":{"type":"string"},"resourceName":{"type":"string"},"patternType":{"type":"string"},"principal":{"type":"string"},"permissionType":{"type":"string"},"host":{"type":"string"},"operation":{"type":"string"},"lrn":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/acl":{"delete":{"tags":["agent_Kafka"],"summary":"Remove a Kafka Access Control List","description":"Remove a Kafka Access Control List","operationId":"deleteAcls","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_HttpAcl"}}},"required":true},"responses":{"200":{"description":""},"400":{"description":"The request input was invalid","content":{"text/plain":{"schema":{"type":"string"}}}},"401":{"description":"Authentication error","content":{"text/plain":{"schema":{"type":"string"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"text/plain":{"schema":{"type":"string"}}}},"403":{"description":"Authorisation error","content":{"text/plain":{"schema":{"type":"string"}}}},"404":{"description":"The requested resource cannot be found","content":{"text/plain":{"schema":{"type":"string"}}}},"500":{"description":"An internal server error has occurred","content":{"text/plain":{"schema":{"type":"string"}}}}}}}}}
```

## List Kafka quotas

> Fetch all Kafka client quotas

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_QuotaResponse":{"required":["entityType","entityName","properties","url","lrn","isAuthorized"],"type":"object","properties":{"entityType":{"$ref":"#/components/schemas/agent_QuotaType"},"entityName":{"type":"string"},"child":{"type":"string"},"properties":{"$ref":"#/components/schemas/agent_Map_String_String"},"url":{"type":"string"},"lrn":{"type":"string"},"isAuthorized":{"type":"boolean"}}},"agent_QuotaType":{"type":"string","enum":["USERCLIENT","CLIENTS","CLIENT","USERS","USER"]},"agent_Map_String_String":{"type":"object","additionalProperties":{"type":"string"}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/quotas":{"get":{"tags":["agent_Kafka"],"summary":"List Kafka quotas","description":"Fetch all Kafka client quotas","operationId":"listQuotas","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/agent_QuotaResponse"}}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Set user quota

> Create or update a Kafka quota for a specific user

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_Map_String_String":{"type":"object","additionalProperties":{"type":"string"}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/quotas/users/{username}":{"put":{"tags":["agent_Kafka"],"summary":"Set user quota","description":"Create or update a Kafka quota for a specific user","operationId":"setUserQuota","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"username","in":"path","description":"The user to create the quota for","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A hashmap of property name/values ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Map_String_String"}}},"required":true},"responses":{"200":{"description":""},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Delete user quota

> Delete quota properties for a specific user

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/quotas/users/{username}":{"delete":{"tags":["agent_Kafka"],"summary":"Delete user quota","description":"Delete quota properties for a specific user","operationId":"deleteUserQuota","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"username","in":"path","description":"The user to delete the quota for","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A list of properties","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":false},"responses":{"200":{"description":""},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Set client quota

> Create or update a Kafka quota for a specific client ID

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_Map_String_String":{"type":"object","additionalProperties":{"type":"string"}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/quotas/clients/{client-id}":{"put":{"tags":["agent_Kafka"],"summary":"Set client quota","description":"Create or update a Kafka quota for a specific client ID","operationId":"setClientQuota","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"path","description":"The client id to create the quota for","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A hashmap of property name/values ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Map_String_String"}}},"required":true},"responses":{"200":{"description":""},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Delete client quota

> Delete quota properties for a specific client ID

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/quotas/clients/{client-id}":{"delete":{"tags":["agent_Kafka"],"summary":"Delete client quota","description":"Delete quota properties for a specific client ID","operationId":"deleteClientQuota","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"path","description":"The client id to create the quota for","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A list of properties","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":false},"responses":{"200":{"description":""},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Set default client quota for user

> Create or update the default Kafka quota for all clients of a specific user

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_Map_String_String":{"type":"object","additionalProperties":{"type":"string"}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/quotas/users/{username}/clients":{"put":{"tags":["agent_Kafka"],"summary":"Set default client quota for user","description":"Create or update the default Kafka quota for all clients of a specific user","operationId":"setUserDefaultClientQuota","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"username","in":"path","description":"The user to delete the quota for","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A hashmap of property name/values ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Map_String_String"}}},"required":true},"responses":{"200":{"description":""},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Delete default client quota for user

> Delete default quota properties for all clients of a specific user

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/quotas/users/{username}/clients":{"delete":{"tags":["agent_Kafka"],"summary":"Delete default client quota for user","description":"Delete default quota properties for all clients of a specific user","operationId":"deleteUserDefaultClientQuota","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"username","in":"path","description":"The user to delete the quota for","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A list of properties","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":false},"responses":{"200":{"description":""},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Set default user quota

> Create or update the default Kafka quota for all users

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_Map_String_String":{"type":"object","additionalProperties":{"type":"string"}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/quotas/users":{"put":{"tags":["agent_Kafka"],"summary":"Set default user quota","description":"Create or update the default Kafka quota for all users","operationId":"setUserDefaultQuota","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A hashmap of property name/values ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Map_String_String"}}},"required":true},"responses":{"200":{"description":""},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Delete default user quota

> Delete default quota properties for all users

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/quotas/users":{"delete":{"tags":["agent_Kafka"],"summary":"Delete default user quota","description":"Delete default quota properties for all users","operationId":"deleteUserDefaultQuota","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A list of properties","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":false},"responses":{"200":{"description":""},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Set default client quota

> Create or update the default Kafka quota for all clients

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_Map_String_String":{"type":"object","additionalProperties":{"type":"string"}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/quotas/clients":{"put":{"tags":["agent_Kafka"],"summary":"Set default client quota","description":"Create or update the default Kafka quota for all clients","operationId":"setClientDefaultQuota","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A hashmap of property name/values ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Map_String_String"}}},"required":true},"responses":{"200":{"description":""},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Delete default client quota

> Delete default quota properties for all clients

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/quotas/clients":{"delete":{"tags":["agent_Kafka"],"summary":"Delete default client quota","description":"Delete default quota properties for all clients","operationId":"deleteClientDefaultQuota","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A list of properties","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":false},"responses":{"200":{"description":""},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Set user and client quota

> Create or update a Kafka quota for a specific user and client ID combination

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_Map_String_String":{"type":"object","additionalProperties":{"type":"string"}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/quotas/users/{username}/clients/{client-id}":{"put":{"tags":["agent_Kafka"],"summary":"Set user and client quota","description":"Create or update a Kafka quota for a specific user and client ID combination","operationId":"setUserAndClientQuota","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"username","in":"path","description":"The user to delete the quota for","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"path","description":"The client id to create the quota for","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A hashmap of property name/values ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Map_String_String"}}},"required":true},"responses":{"200":{"description":""},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Delete user and client quota

> Delete quota properties for a specific user and client ID combination

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/quotas/users/{username}/clients/{client-id}":{"delete":{"tags":["agent_Kafka"],"summary":"Delete user and client quota","description":"Delete quota properties for a specific user and client ID combination","operationId":"deleteUserAndClientQuota","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"username","in":"path","description":"The user to delete the quota for","required":true,"schema":{"type":"string"}},{"name":"client-id","in":"path","description":"The client id to create the quota for","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"A list of properties","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}}}},"required":false},"responses":{"200":{"description":""},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Get topic broker configurations (deprecated)

> Retrieve broker configuration settings for a Kafka topic. This endpoint is deprecated.

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_KafkaTopicConfigWithDefault":{"required":["name","value","isDefault","isSensitive","isReadOnly"],"type":"object","properties":{"name":{"type":"string"},"value":{"type":"string"},"isDefault":{"type":"boolean"},"isSensitive":{"type":"boolean"},"isReadOnly":{"type":"boolean"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/topics/{topic}/brokerConfigs":{"get":{"tags":["agent_Kafka"],"summary":"Get topic broker configurations (deprecated)","description":"Retrieve broker configuration settings for a Kafka topic. This endpoint is deprecated.","operationId":"getTopicBrokerConfigs","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"topic","in":"path","description":"The topic name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/agent_KafkaTopicConfigWithDefault"}}}}},"400":{"description":"The request input was invalid","content":{"text/plain":{"schema":{"type":"string"}}}},"401":{"description":"Authentication error","content":{"text/plain":{"schema":{"type":"string"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"text/plain":{"schema":{"type":"string"}}}},"403":{"description":"Authorisation error","content":{"text/plain":{"schema":{"type":"string"}}}},"404":{"description":"The requested resource cannot be found","content":{"text/plain":{"schema":{"type":"string"}}}},"500":{"description":"An internal server error has occurred","content":{"text/plain":{"schema":{"type":"string"}}}}},"deprecated":true}}}}
```

## Set topic configuration

> Update configuration settings for a Kafka topic

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_SetTopicConfiguration":{"type":"object","properties":{"configs":{"type":"array","items":{"$ref":"#/components/schemas/agent_TopicConfigKeyValue"}}}},"agent_TopicConfigKeyValue":{"required":["key","value"],"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/configs/topics/{topic}":{"put":{"tags":["agent_Kafka"],"summary":"Set topic configuration","description":"Update configuration settings for a Kafka topic","operationId":"setTopicConfig","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"topic","in":"path","description":"The topic name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_SetTopicConfiguration"}}},"required":true},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"The request input was invalid","content":{"text/plain":{"schema":{"type":"string"}}}},"401":{"description":"Authentication error","content":{"text/plain":{"schema":{"type":"string"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"text/plain":{"schema":{"type":"string"}}}},"403":{"description":"Authorisation error","content":{"text/plain":{"schema":{"type":"string"}}}},"404":{"description":"The requested resource cannot be found","content":{"text/plain":{"schema":{"type":"string"}}}},"500":{"description":"An internal server error has occurred","content":{"text/plain":{"schema":{"type":"string"}}}}}}}}}
```

## GET /api/v1/environments/{environment}/proxy/api/topics/{p1}

> Retrieve information about a given topic

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_HttpTopicSummary":{"required":["topicName","lrn","partitions","replication","isControlTopic","isCompacted","keyType","valueType","totalMessages","messagesPerSecond","isMarkedForDeletion","timestamp","coverage"],"type":"object","properties":{"topicName":{"type":"string"},"lrn":{"type":"string"},"partitions":{"type":"integer"},"replication":{"type":"integer"},"isControlTopic":{"type":"boolean"},"isCompacted":{"type":"boolean"},"keyType":{"type":"string"},"valueType":{"type":"string"},"totalMessages":{"type":"integer","format":"int64"},"config":{"type":"array","items":{"$ref":"#/components/schemas/agent_TableProperty"}},"consumers":{"type":"array","items":{"$ref":"#/components/schemas/agent_HttpConsumersGroupInfoShort"}},"messagesPerPartition":{"type":"array","items":{"$ref":"#/components/schemas/agent_MessagesPerPartition"}},"messagesPerSecond":{"type":"integer","format":"int64"},"isMarkedForDeletion":{"type":"boolean"},"timestamp":{"type":"integer","format":"int64"},"keySchema":{"type":"string"},"keySchemaVersion":{"type":"integer"},"keySchemaInlined":{"type":"string"},"valueSchema":{"type":"string"},"valueSchemaVersion":{"type":"integer"},"valueSchemaInlined":{"type":"string"},"description":{"type":"string"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/agent_DatasetTag"}},"backups":{"type":"array","items":{"$ref":"#/components/schemas/agent_HttpBackupRestoreSummary"}},"restores":{"type":"array","items":{"$ref":"#/components/schemas/agent_HttpBackupRestoreSummary"}},"coverage":{"$ref":"#/components/schemas/agent_InformationCoverage"}}},"agent_TableProperty":{"required":["name","isDefault"],"type":"object","properties":{"name":{"type":"string"},"value":{"type":"string"},"isDefault":{"type":"boolean"},"defaultValue":{"type":"string"},"documentation":{"type":"string"},"originalValue":{"type":"string"}}},"agent_HttpConsumersGroupInfoShort":{"required":["id","lrn","active","state","consumersCount","topicPartitionsCount","coverage"],"type":"object","properties":{"id":{"type":"string"},"lrn":{"type":"string"},"coordinator":{"$ref":"#/components/schemas/agent_ConsumerCoordinator"},"active":{"type":"boolean"},"state":{"$ref":"#/components/schemas/agent_ConsumerGroupState"},"consumers":{"type":"array","items":{"type":"string"}},"consumersCount":{"type":"integer"},"topicPartitionsCount":{"type":"integer"},"minLag":{"type":"integer","format":"int64"},"maxLag":{"type":"integer","format":"int64"},"application":{"$ref":"#/components/schemas/agent_HttpApplication"},"coverage":{"$ref":"#/components/schemas/agent_InformationCoverage"}}},"agent_ConsumerCoordinator":{"required":["id","host","port","rack"],"type":"object","properties":{"id":{"type":"integer"},"host":{"type":"string"},"port":{"type":"integer"},"rack":{"type":"string"}}},"agent_ConsumerGroupState":{"type":"string","enum":["Unknown","Stable","Rebalancing","Dead","NoActiveMembers","ExistsNot"]},"agent_HttpApplication":{"required":["id","lrn","name","type"],"type":"object","properties":{"id":{"type":"string"},"lrn":{"type":"string"},"name":{"type":"string"},"type":{"$ref":"#/components/schemas/agent_ApplicationType"},"cluster":{"type":"string"},"namespace":{"type":"string"}}},"agent_ApplicationType":{"type":"string","enum":["AkkaStreams","LsqlProcessor","KafkaStreams","SparkStreaming","ConnectSource","ConnectSink","Other"]},"agent_InformationCoverage":{"type":"string","enum":["full","partial"]},"agent_MessagesPerPartition":{"required":["partition","messages","begin","end"],"type":"object","properties":{"partition":{"type":"integer"},"messages":{"type":"integer","format":"int64"},"begin":{"type":"integer","format":"int64"},"end":{"type":"integer","format":"int64"}}},"agent_DatasetTag":{"required":["name"],"type":"object","properties":{"name":{"type":"string"}}},"agent_HttpBackupRestoreSummary":{"required":["id","createdAt"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"createdAt":{"type":"string","format":"date-time"},"topic":{"type":"string"},"connectCluster":{"type":"string"},"connectorName":{"type":"string"},"connectorVersion":{"type":"string"},"s3Location":{"type":"string"},"reference":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/topics/{p1}":{"get":{"tags":["agent_Kafka"],"description":"Retrieve information about a given topic","operationId":"getApiV1EnvironmentsEnvironmentProxyApiTopicsP1","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"p1","in":"path","description":"Name of the topic","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_HttpTopicSummary"}}}},"400":{"description":"The request input was invalid","content":{"text/plain":{"schema":{"type":"string"}}}},"401":{"description":"Authentication error","content":{"text/plain":{"schema":{"type":"string"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"text/plain":{"schema":{"type":"string"}}}},"403":{"description":"Authorisation error","content":{"text/plain":{"schema":{"type":"string"}}}},"404":{"description":"The requested resource cannot be found","content":{"text/plain":{"schema":{"type":"string"}}}},"500":{"description":"An internal server error has occurred","content":{"text/plain":{"schema":{"type":"string"}}}}},"deprecated":true}}}}
```

## GET /api/v1/environments/{environment}/proxy/api/topics/{p1}/partitions

> Retrieve a given topic partition details

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_Partition":{"required":["partition","leader","preferredLeader"],"type":"object","properties":{"partition":{"type":"integer"},"leader":{"type":"integer"},"preferredLeader":{"type":"integer"},"replicas":{"type":"array","items":{"$ref":"#/components/schemas/agent_PartitionReplica"}}}},"agent_PartitionReplica":{"required":["broker","leader","inSync"],"type":"object","properties":{"broker":{"type":"integer"},"leader":{"type":"boolean"},"inSync":{"type":"boolean"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/topics/{p1}/partitions":{"get":{"tags":["agent_Kafka"],"description":"Retrieve a given topic partition details","operationId":"getApiV1EnvironmentsEnvironmentProxyApiTopicsP1Partitions","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"p1","in":"path","description":"Name of the topic","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/agent_Partition"}}}}},"400":{"description":"The request input was invalid","content":{"text/plain":{"schema":{"type":"string"}}}},"401":{"description":"Authentication error","content":{"text/plain":{"schema":{"type":"string"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"text/plain":{"schema":{"type":"string"}}}},"403":{"description":"Authorisation error","content":{"text/plain":{"schema":{"type":"string"}}}},"404":{"description":"The requested resource cannot be found","content":{"text/plain":{"schema":{"type":"string"}}}},"500":{"description":"An internal server error has occurred","content":{"text/plain":{"schema":{"type":"string"}}}}},"deprecated":true}}}}
```

## List Kafka topics summary

> Retrieve information about all topics

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_HttpTopicSummary":{"required":["topicName","lrn","partitions","replication","isControlTopic","isCompacted","keyType","valueType","totalMessages","messagesPerSecond","isMarkedForDeletion","timestamp","coverage"],"type":"object","properties":{"topicName":{"type":"string"},"lrn":{"type":"string"},"partitions":{"type":"integer"},"replication":{"type":"integer"},"isControlTopic":{"type":"boolean"},"isCompacted":{"type":"boolean"},"keyType":{"type":"string"},"valueType":{"type":"string"},"totalMessages":{"type":"integer","format":"int64"},"config":{"type":"array","items":{"$ref":"#/components/schemas/agent_TableProperty"}},"consumers":{"type":"array","items":{"$ref":"#/components/schemas/agent_HttpConsumersGroupInfoShort"}},"messagesPerPartition":{"type":"array","items":{"$ref":"#/components/schemas/agent_MessagesPerPartition"}},"messagesPerSecond":{"type":"integer","format":"int64"},"isMarkedForDeletion":{"type":"boolean"},"timestamp":{"type":"integer","format":"int64"},"keySchema":{"type":"string"},"keySchemaVersion":{"type":"integer"},"keySchemaInlined":{"type":"string"},"valueSchema":{"type":"string"},"valueSchemaVersion":{"type":"integer"},"valueSchemaInlined":{"type":"string"},"description":{"type":"string"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/agent_DatasetTag"}},"backups":{"type":"array","items":{"$ref":"#/components/schemas/agent_HttpBackupRestoreSummary"}},"restores":{"type":"array","items":{"$ref":"#/components/schemas/agent_HttpBackupRestoreSummary"}},"coverage":{"$ref":"#/components/schemas/agent_InformationCoverage"}}},"agent_TableProperty":{"required":["name","isDefault"],"type":"object","properties":{"name":{"type":"string"},"value":{"type":"string"},"isDefault":{"type":"boolean"},"defaultValue":{"type":"string"},"documentation":{"type":"string"},"originalValue":{"type":"string"}}},"agent_HttpConsumersGroupInfoShort":{"required":["id","lrn","active","state","consumersCount","topicPartitionsCount","coverage"],"type":"object","properties":{"id":{"type":"string"},"lrn":{"type":"string"},"coordinator":{"$ref":"#/components/schemas/agent_ConsumerCoordinator"},"active":{"type":"boolean"},"state":{"$ref":"#/components/schemas/agent_ConsumerGroupState"},"consumers":{"type":"array","items":{"type":"string"}},"consumersCount":{"type":"integer"},"topicPartitionsCount":{"type":"integer"},"minLag":{"type":"integer","format":"int64"},"maxLag":{"type":"integer","format":"int64"},"application":{"$ref":"#/components/schemas/agent_HttpApplication"},"coverage":{"$ref":"#/components/schemas/agent_InformationCoverage"}}},"agent_ConsumerCoordinator":{"required":["id","host","port","rack"],"type":"object","properties":{"id":{"type":"integer"},"host":{"type":"string"},"port":{"type":"integer"},"rack":{"type":"string"}}},"agent_ConsumerGroupState":{"type":"string","enum":["Unknown","Stable","Rebalancing","Dead","NoActiveMembers","ExistsNot"]},"agent_HttpApplication":{"required":["id","lrn","name","type"],"type":"object","properties":{"id":{"type":"string"},"lrn":{"type":"string"},"name":{"type":"string"},"type":{"$ref":"#/components/schemas/agent_ApplicationType"},"cluster":{"type":"string"},"namespace":{"type":"string"}}},"agent_ApplicationType":{"type":"string","enum":["AkkaStreams","LsqlProcessor","KafkaStreams","SparkStreaming","ConnectSource","ConnectSink","Other"]},"agent_InformationCoverage":{"type":"string","enum":["full","partial"]},"agent_MessagesPerPartition":{"required":["partition","messages","begin","end"],"type":"object","properties":{"partition":{"type":"integer"},"messages":{"type":"integer","format":"int64"},"begin":{"type":"integer","format":"int64"},"end":{"type":"integer","format":"int64"}}},"agent_DatasetTag":{"required":["name"],"type":"object","properties":{"name":{"type":"string"}}},"agent_HttpBackupRestoreSummary":{"required":["id","createdAt"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"createdAt":{"type":"string","format":"date-time"},"topic":{"type":"string"},"connectCluster":{"type":"string"},"connectorName":{"type":"string"},"connectorVersion":{"type":"string"},"s3Location":{"type":"string"},"reference":{"type":"string"}}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/topics":{"get":{"tags":["agent_Kafka"],"summary":"List Kafka topics summary","description":"Retrieve information about all topics","operationId":"listKafkaTopicsSummary","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/agent_HttpTopicSummary"}}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}},"deprecated":true}}}}
```

## Create a Kafka topic

> Create a new Kafka topic with the specified configuration

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_NewTopicCommand":{"required":["topicName","configs"],"type":"object","properties":{"topicName":{"type":"string"},"replication":{"type":"integer"},"partitions":{"type":"integer"},"configs":{"$ref":"#/components/schemas/agent_Map_String_String"}}},"agent_Map_String_String":{"type":"object","additionalProperties":{"type":"string"}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/topics":{"post":{"tags":["agent_Kafka"],"summary":"Create a Kafka topic","description":"Create a new Kafka topic with the specified configuration","operationId":"createKafkaTopic","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NewTopicCommand"}}},"required":true},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Get Kafka topic partitions

> Retrieve information about partitions of a given topic

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_PartitionDTO":{"type":"object","properties":{"partitions":{"type":"array","items":{"$ref":"#/components/schemas/agent_PartitionV2"}},"jmxLastRetrievedAt":{"type":"string","format":"date-time"}}},"agent_PartitionV2":{"required":["partition","leader","preferredLeader","messages","begin","end"],"type":"object","properties":{"partition":{"type":"integer"},"leader":{"type":"integer"},"preferredLeader":{"type":"integer"},"messages":{"type":"integer","format":"int64"},"begin":{"type":"integer","format":"int64"},"end":{"type":"integer","format":"int64"},"bytes":{"type":"integer","format":"int64"},"replicas":{"type":"array","items":{"$ref":"#/components/schemas/agent_PartitionReplica"}}}},"agent_PartitionReplica":{"required":["broker","leader","inSync"],"type":"object","properties":{"broker":{"type":"integer"},"leader":{"type":"boolean"},"inSync":{"type":"boolean"}}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v2/topics/{topic}/partitions":{"get":{"tags":["agent_Kafka"],"summary":"Get Kafka topic partitions","description":"Retrieve information about partitions of a given topic","operationId":"getKafkaTopicPartitions","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"topic","in":"path","description":"Name of the topic","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_PartitionDTO"}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Resend a Kafka message

> Resend a kafka message

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_OutputPartitionOffset":{"required":["partition","offset"],"type":"object","properties":{"partition":{"type":"integer"},"offset":{"type":"integer","format":"int64"}}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/topics/{topic}/{partition}/{offset}/resend":{"put":{"tags":["agent_Kafka"],"summary":"Resend a Kafka message","description":"Resend a kafka message","operationId":"resendKafkaMessage","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"topic","in":"path","description":"Name of the topic","required":true,"schema":{"type":"string"}},{"name":"partition","in":"path","description":"Kafka partition","required":true,"schema":{"type":"integer"}},{"name":"offset","in":"path","description":"Kafka offset","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_OutputPartitionOffset"}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Increase Kafka topic partitions

> Increase the number of partitions for a Kafka topic

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_PartitionIncrease":{"required":["partitions"],"type":"object","properties":{"partitions":{"type":"integer"}}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v1/kafka/topics/{topicName}/partitions":{"put":{"tags":["agent_Kafka"],"summary":"Increase Kafka topic partitions","description":"Increase the number of partitions for a Kafka topic","operationId":"increaseKafkaTopicPartitions","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"topicName","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_PartitionIncrease"}}},"required":true},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_PartitionIncrease"}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Delete Kafka topic records

> Delete records from a Kafka topic partition up to a specific offset

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}}},"paths":{"/api/v1/environments/{environment}/proxy/api/topics/{topicName}/{partition}/{offset}":{"delete":{"tags":["agent_Kafka"],"summary":"Delete Kafka topic records","description":"Delete records from a Kafka topic partition up to a specific offset","operationId":"deleteKafkaTopicRecords","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"topicName","in":"path","required":true,"schema":{"type":"string"}},{"name":"partition","in":"path","required":true,"schema":{"type":"integer"}},{"name":"offset","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"The request input was invalid","content":{"text/plain":{"schema":{"type":"string"}}}},"401":{"description":"Authentication error","content":{"text/plain":{"schema":{"type":"string"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"text/plain":{"schema":{"type":"string"}}}},"403":{"description":"Authorisation error","content":{"text/plain":{"schema":{"type":"string"}}}},"404":{"description":"The requested resource cannot be found","content":{"text/plain":{"schema":{"type":"string"}}}},"500":{"description":"An internal server error has occurred","content":{"text/plain":{"schema":{"type":"string"}}}}}}}}}
```

## Delete a Kafka topic

> Delete a Kafka topic. The topic will be marked for deletion.

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}}},"paths":{"/api/v1/environments/{environment}/proxy/api/topics/{topicName}":{"delete":{"tags":["agent_Kafka"],"summary":"Delete a Kafka topic","description":"Delete a Kafka topic. The topic will be marked for deletion.","operationId":"deleteKafkaTopic","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"topicName","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"string"}}}},"400":{"description":"The request input was invalid","content":{"text/plain":{"schema":{"type":"string"}}}},"401":{"description":"Authentication error","content":{"text/plain":{"schema":{"type":"string"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"text/plain":{"schema":{"type":"string"}}}},"403":{"description":"Authorisation error","content":{"text/plain":{"schema":{"type":"string"}}}},"404":{"description":"The requested resource cannot be found","content":{"text/plain":{"schema":{"type":"string"}}}},"500":{"description":"An internal server error has occurred","content":{"text/plain":{"schema":{"type":"string"}}}}}}}}}
```

## Get Kafka topic details (deprecated)

> Deprecated. To fetch Kafka topic details, please, use (listDatasets) /api/v1/datasets.

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_Kafka"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_HttpShortTopicSummary":{"required":["topicName","lrn","partitions","replication","isControlTopic","keyType","valueType","totalMessages","configs","consumers","messagesPerSecond","isMarkedForDeletion","isCompacted"],"type":"object","properties":{"topicName":{"type":"string"},"lrn":{"type":"string"},"partitions":{"type":"integer"},"replication":{"type":"integer"},"isControlTopic":{"type":"boolean"},"keyType":{"type":"string"},"valueType":{"type":"string"},"totalMessages":{"type":"integer","format":"int64"},"configs":{"type":"integer"},"consumers":{"type":"integer"},"messagesPerSecond":{"type":"integer","format":"int64"},"isMarkedForDeletion":{"type":"boolean"},"isCompacted":{"type":"boolean"},"description":{"type":"string"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/agent_DatasetTag"}},"size":{"type":"integer","format":"int64"}}},"agent_DatasetTag":{"required":["name"],"type":"object","properties":{"name":{"type":"string"}}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/compo
[...]
